local menu = {}
local settings = require 'settings'
local sprite = require 'sprite'
local sx1 = 100
local sx2 = 100
local sx3 = 100
local sx4 = 100

function menu:load()
    menuon = false
    menuallow = false
    allow = true
    shotTimer = 0
    delay = 5
    mclick = love.audio.newSource('music/menu click.wav', "static")
    
end

function menu:allow()
    menuallow = true
end


function menu:update(dt)
    if menuallow == false then
        selector = -1
    end
    
    if selector == 5 then
        selector = 1
    end
    
    if selector == 0 then
        selector = 4
    end
    
    if selector == 4 then
        menuallow = false
        sx1 = 150
        sx2 = 100
        sx3 = 100
        sx4 = 100
    
    elseif selector == 3 then
        sx1 = 100
        sx2 = 150
        sx3 = 100
        sx4 = 100
    
    
    elseif selector == 2 then
        sx1 = 100
        sx2 = 100
        sx3 = 150
        sx4 = 100
   
    
    elseif selector == 1 then
        sx1 = 100
        sx2 = 100
        sx3 = 100
        sx4 = 150
    end
    
    if love.keyboard.isDown("return") and selector == 4 then
        --mclick:play()
        love.event.quit()
    
    elseif love.keyboard.isDown("return") and selector == 3 then
        mclick:play()
        print("save")
    
    elseif love.keyboard.isDown("return") and selector == 2 then
        mclick:play()
        menuon = false
        selector = -1
        menuallow = false
        
    
    elseif love.keyboard.isDown("return") and selector == 1 then
        mclick:play()
    end
end



function menu:draw()
    if menuallow == true then
        if menuon == true then
            sprite:move_false()
            love.graphics.setNewFont('PixelFJVerdana12pt_0.ttf', 20)
            love.graphics.printf("Exit", sx1, 100, 800)
            love.graphics.printf("Save", sx2, 150, 800)
            love.graphics.printf("Resume", sx3, 200, 800)
            love.graphics.printf("Settings", sx4, 250, 800)
        end
    end
end

function menu:keypressed(key)
    if key == "escape" then
        selector = 4
        menuallow = true
        menuon = true
    end
    
    if menuallow == true then
        if key == "s" then
            selector = selector - 1
        
        elseif key == "w" then
            selector = selector + 1
        end
    end
end

return menu