local sprite = require 'sprite'
local o_ten_one = require "o-ten-one"
local menu = require 'menu'
local themap = require 'map'
local lobby = require 'lobby'

local sx = 100
local ix = 50
local state = "intro"
local introh = {}
local delay = 0


function fade()


end

function introh:load()
    if state == "intro" then
        splash = o_ten_one({fill = "lighten"})
    end
    
    -------------
    img1 = love.graphics.newImage('images/introimg.png')
    img2 = love.graphics.newImage('images/introimg2.png')
    img3 = love.graphics.newImage('images/introimg3.png')
    ------------

    Info = false
    music = 'play'
    --introm = love.audio.newSource('music/intro.wav', "static") -- intro music here
    mclick = love.audio.newSource('music/menu click.wav', "static")
    

function splash.onDone()
    love.graphics.clear()
    state = "menu"
end

function introh:update(dt)
    sprite:update(dt)
    
    if state == "intro" then
        splash:update(dt)
    end
    
    if state == "menu" then
        if music == 'play' then
            --introm:setLooping(true)
            --introm:play(-1)
            --vol = 1
            --introm:setVolume(vol)
        end
    end
    
    if state == "menu" then
        if love.keyboard.isDown("w") then
            sx = 100
            ix = 50
            Info = false
        end
    
        if love.keyboard.isDown("s") then
            sx = 50
            ix = 100
            Info = true
        end
        
        if love.keyboard.isDown("return") and Info == false then
            mclick:play()
            state = "game"
        end
        
        if love.keyboard.isDown("return") and Info == true then
            mclick:play()
            state = "info"
        end
end


function introh:draw()
    --love.graphics.draw(img3, 220, 220, 0, 0.2, 0.2)
    --love.graphics.draw(img2, 400, 1, 0, 0.2, 0.2)
    --love.graphics.draw(img1, 600, 1, 0, 0.2, 0.2)
    
    
    --love.graphics.setBackgroundColor(255, 255, 255)
    if state == "intro" then
        splash:draw()
    end
        
    if state == "menu" then
        love.graphics.setNewFont('PixelFJVerdana12pt_0.ttf', 40)
        love.graphics.printf("Start", sx, 100, 250, 'left')
        love.graphics.printf("Info", ix, 200, 250, 'left')
        delay = 0
    end
        
    if state == "game" then
        --sprite:move_true()
        --sprite:draw()
        --menu:allow()
        lobby:load()
        lobby:draw()
        
        
    end
    
    if state == "info" then
        love.graphics.setNewFont('PixelFJVerdana12pt_0.ttf', 20)
        love.graphics.printf("Made with: Love2d", sx, 100, 800)
        love.graphics.printf("Runs on: a potato", sx, 150, 800)
        love.graphics.printf("Made by Loki", sx, 200, 800)
        love.graphics.printf("Press RETURN to exit", sx, 400, 800)
        
        if delay ~= 20 then
            delay = delay + 1
        end
        
        if love.keyboard.isDown("return") and delay == 20 then
            --love.graphics.clear()
            state = "menu"
        end
        
        
        end
        end
    end
end

return introh